RESTPostAPIWebhookWithTokenJSONBody
https://discord.com/developers/docs/resources/webhook#execute-webhook
Signature
export interface RESTPostAPIWebhookWithTokenJSONBodyProperties
12Methods
0No methods.
Properties
content?: string | undefined;The message contents (up to 2000 characters)
username?: string | undefined;Override the default username of the webhook
avatar_url?: string | undefined;Override the default avatar of the webhook
tts?: boolean | undefined;`true` if this is a TTS message
embeds?: APIEmbed[] | undefined;Embedded `rich` content See https://discord.com/developers/docs/resources/channel#embed-object
allowed_mentions?: APIAllowedMentions | undefined;Allowed mentions for the message See https://discord.com/developers/docs/resources/channel#allowed-mentions-object
components?: APITopLevelComponent[] | undefined;The components to include with the message Requires an application-owned webhook See https://discord.com/developers/docs/interactions/message-components#component-object
attachments?: RESTAPIAttachment[] | undefined;Attachment objects with filename and description
flags?: MessageFlags | undefined;Message flags combined as a bitfield
thread_name?: string | undefined;Name of thread to create Available only if the webhook is in a forum channel and a thread is not specified in {@link RESTPostAPIWebhookWithTokenQuery.thread_id} query parameter
applied_tags?: Snowflake[] | undefined;Array of tag ids to apply to the thread
poll?: RESTAPIPollCreate | undefined;A poll!